//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

// Feladat: A hőmérsékletek sorozata monoton növekedő-e?
public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        int[] X = new int[MaxN];
    }

    static class Output {
        boolean Monoton;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();

        //A felhasználónak szánt tájékoztató üzenetek az StrErr csatotnára írandók!
        PrintStream cerr = System.err;
        //Például a kérdések:
        cerr.print("Homersekletek szama (1.." + MaxN + "):");
        //A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból.
        input.N = io.nextInt(); // 1<=N<=MaxN
        for (int i = 0; i < input.N; i++) {
            cerr.print((i + 1) + ". homerseklet (-60..60):");
            input.X[i] = io.nextInt();//-60<=X[i]<=60, egész szám
        }
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        PrintStream cerr = System.err;
        //A kimenetet kísérő szövegek is az StdErr-re irandók!
        cerr.print("A sorozat ");
        if (output.Monoton) {
            io.writeLn("MONOTON");
        } else {
            io.writeLn("NEM MONOTON");
        }
    }

    static Output Eldontes(Input input) {
        Output output = new Output();
        int i = 0; //1. adat
        while ((i < input.N - 1) && (input.X[i] <= input.X[i + 1])) {
            i++; // ugyanaz, mint i:=i31
        }
        output.Monoton = (i == input.N - 1);
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Eldontes(input);

        kiir(io, input, output);

        io.close();
    }

}